<div
  class="flex-row full-height full-width overflow-hidden"
  [sqtmCoreWorkspace]="'custom-report-workspace'"
>
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>
  @if (workbenchData$ | async; as workbenchData) {
    @if (componentData$ | async; as componentData) {
      <sqtm-app-custom-chart-workbench
        class="full-width full-height flex-column"
        [chartDefinition]="componentData.chartDefinition"
        [buildingBlocks]="workbenchData.chartBuildingBlocks"
        [containerId]="workbenchData.containerId"
        [projectId]="workbenchData.projectId"
      ></sqtm-app-custom-chart-workbench>
    }
  }
</div>
